## camlidl 1.02

=== compiler/Makefile ===
#***********************************************************************
#*                                                                     *
#*                              CamlIDL                                *
#*                                                                     *
#*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *
#*                                                                     *
#*  Copyright 1999 Institut National de Recherche en Informatique et   *
#*  en Automatique.  All rights reserved.  This file is distributed    *
#*  under the terms of the GNU Library General Public License.         *
#*                                                                     *
#***********************************************************************

#* $Id: Makefile,v 1.5 2001/06/29 13:29:58 xleroy Exp $

include ../config/Makefile

OBJS=config.cmo utils.cmo clflags.cmo \
  lexpr.cmo cvttyp.cmo variables.cmo \
  array.cmo struct.cmo enum.cmo union.cmo cvtval.cmo \
  structdecl.cmo enumdecl.cmo uniondecl.cmo \
  typedef.cmo funct.cmo constdecl.cmo intf.cmo \
  file.cmo predef.cmo \
  linenum.cmo parse_aux.cmo parser_midl.cmo lexer_midl.cmo parse.cmo \
  fixlabels.cmo normalize.cmo \
  main.cmo

PROG=camlidl$(EXE)

all: $(PROG)

$(PROG): $(OBJS)
	$(OCAMLC) -o $(PROG) $(OBJS)

clean::
	rm -f $(PROG)

parser_midl.ml parser_midl.mli: parser_midl.mly
	$(OCAMLYACC) parser_midl.mly

clean::
	rm -f parser_midl.ml parser_midl.mli parser_midl.output

beforedepend:: parser_midl.ml parser_midl.mli

lexer_midl.ml: lexer_midl.mll
	$(OCAMLLEX) lexer_midl.mll

clean::
	rm -f lexer_midl.ml

beforedepend:: lexer_midl.ml

config.ml: config.mlp ../config/Makefile
	-rm -f config.ml
	sed -e 's|%%CPP%%|$(CPP)|' \
          config.mlp > config.ml
	-chmod -w config.ml

clean::
	rm -f config.ml

beforedepend:: config.ml

linenum.ml: linenum.mll
	$(OCAMLLEX) linenum.mll

clean::
	rm -f linenum.ml

beforedepend:: linenum.ml

.SUFFIXES: .ml .mli .cmo .cmi .cmx

.ml.cmo:
	$(OCAMLC) -c $<

.mli.cmi:
	$(OCAMLC) -c $<

.ml.cmx:
	$(OCAMLOPT) -c $<

# Install
install:
	cp $(PROG) $(BINDIR)

# Clean up
clean::
	rm -f *.cm[iox] *~

# Dependencies
depend: beforedepend
	$(OCAMLDEP) *.mli *.ml > .depend

include .depend

=== lib/Makefile ===
#***********************************************************************
#*                                                                     *
#*                              CamlIDL                                *
#*                                                                     *
#*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *
#*                                                                     *
#*  Copyright 1999 Institut National de Recherche en Informatique et   *
#*  en Automatique.  All rights reserved.  This file is distributed    *
#*  under the terms of the GNU Library General Public License.         *
#*                                                                     *
#***********************************************************************

#* $Id: Makefile,v 1.3 2000/08/19 11:04:59 xleroy Exp $

include ../config/Makefile

BYTEOBJS=com.cmo
BYTELIB=com.cma
NATIVEOBJS=$(BYTEOBJS:.cmo=.cmx)
NATIVELIB=$(BYTELIB:.cma=.cmxa)
INTERFACES=$(BYTEOBJS:.cmo=.cmi)

all: $(BYTELIB) $(NATIVELIB)

$(BYTELIB): $(BYTEOBJS)
	$(OCAMLC) -a -o $(BYTELIB) $(BYTEOBJS)

$(NATIVELIB): $(NATIVEOBJS)
	$(OCAMLOPT) -a -o $(NATIVELIB) $(NATIVEOBJS)

install:
	cp $(INTERFACES) $(BYTELIB) $(NATIVELIB) $(NATIVELIB:.cmxa=$(LIB)) $(OCAMLLIB)
	cd $(OCAMLLIB); $(RANLIB) $(NATIVELIB:.cmxa=$(LIB))

.SUFFIXES: .mli .ml .cmi .cmo .cmx

.mli.cmi:
	$(OCAMLC) -c $<
.ml.cmo:
	$(OCAMLC) -c $<
.ml.cmx:
	$(OCAMLOPT) -c $<

# Clean up
clean::
	rm -f *.cm[ioax] $.cmxa *~

# Dependencies
depend:
	$(OCAMLDEP) *.mli *.ml > .depend

include .depend

=== tests/Makefile ===
include ../config/Makefile

CAMLIDL=../compiler/camlidl
CAMLC=ocamlc -I ../lib
CC=gcc
CFLAGS=-Wall -I.. -I$(OCAMLLIB)
CCPP=gcc
CPPFLAGS=-Wall -I.. -I$(OCAMLLIB)

TESTS=basics.idl arrays.idl structs.idl unions.idl unix.idl

all: ../caml/camlidlruntime.h $(TESTS:.idl=.o) testcomp

$(TESTS:.idl=.o) component.o: $(CAMLIDL) ../runtime/camlidlruntime.h

unix.o: unix.idl
	$(CAMLIDL) -no-include unix.idl
	$(CAMLC) -c unix.mli
	$(CAMLC) -c unix.ml
	$(CC) $(CFLAGS) -c unix.c

testcomp: comcomp.o component.o component.cmo testcomponent.cmo \
          ../runtime/libcamlidl.a
	$(CAMLC) -cc $(CCPP) -custom -o testcomp \
                com.cmo comcomp.o component.o component.cmo testcomponent.cmo \
                ../runtime/libcamlidl.a

component.cmo testcomponent.cmo: component.cmi
component.cmo component.cmi: component.o

../caml/camlidlruntime.h:
	mkdir ../caml
	ln -s ../runtime/camlidlruntime.h ../caml

.SUFFIXES:
.SUFFIXES: .idl .o .cpp .ml .mli .cmo .cmi

.idl.o:
	$(CAMLIDL) -header $*.idl
	$(CAMLC) -c $*.mli
	$(CAMLC) -c $*.ml
	$(CC) $(CFLAGS) -c $*.c

.cpp.o:
	$(CCPP) $(CPPFLAGS) -c $*.cpp

.ml.cmo:
	$(CAMLC) -c $*.ml

.mli.cmi:
	$(CAMLC) -c $*.mli

## camlidl 1.05

=== Makefile ===
#***********************************************************************
#*                                                                     *
#*                              CamlIDL                                *
#*                                                                     *
#*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *
#*                                                                     *
#*  Copyright 1999 Institut National de Recherche en Informatique et   *
#*  en Automatique.  All rights reserved.  This file is distributed    *
#*  under the terms of the GNU Library General Public License.         *
#*                                                                     *
#***********************************************************************

#* $Id: Makefile,v 1.18 2000/08/19 11:04:55 xleroy Exp $

include config/Makefile

all:
	cd compiler; $(MAKE) all
	cd runtime; $(MAKE) all
	cd lib; $(MAKE) all
	cd tools; $(MAKE) all

install:
	cd compiler; $(MAKE) install
	cd runtime; $(MAKE) install
	cd lib; $(MAKE) install
	cd tools; $(MAKE) install

clean:
	cd compiler; $(MAKE) clean
	cd runtime; $(MAKE) clean
	cd lib; $(MAKE) clean
	cd tools; $(MAKE) clean

depend:
	cd compiler; $(MAKE) depend
	cd runtime; $(MAKE) depend
	cd lib; $(MAKE) depend
	cd tools; $(MAKE) depend

=== lib/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #*                                                                     *
 #***********************************************************************
 
-#* $Id: Makefile,v 1.3 2000/08/19 11:04:59 xleroy Exp $
+#* $Id: Makefile,v 1.4 2002/04/22 11:50:47 xleroy Exp $
 
 include ../config/Makefile
 
@@ -29,8 +29,8 @@
 	$(OCAMLOPT) -a -o $(NATIVELIB) $(NATIVEOBJS)
 
 install:
-	cp $(INTERFACES) $(BYTELIB) $(NATIVELIB) $(NATIVELIB:.cmxa=$(LIB)) $(OCAMLLIB)
-	cd $(OCAMLLIB); $(RANLIB) $(NATIVELIB:.cmxa=$(LIB))
+	cp $(INTERFACES) $(BYTELIB) $(NATIVELIB) $(NATIVELIB:.cmxa=.$(LIBEXT)) $(OCAMLLIB)
+	cd $(OCAMLLIB); $(RANLIB) $(NATIVELIB:.cmxa=.$(LIBEXT))
 
 .SUFFIXES: .mli .ml .cmi .cmo .cmx

=== runtime/Makefile ===
#***********************************************************************
#*                                                                     *
#*                              CamlIDL                                *
#*                                                                     *
#*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *
#*                                                                     *
#*  Copyright 1999 Institut National de Recherche en Informatique et   *
#*  en Automatique.  All rights reserved.  This file is distributed    *
#*  under the terms of the GNU Library General Public License.         *
#*                                                                     *
#***********************************************************************

#* $Id: Makefile,v 1.2 2000/08/19 11:04:59 xleroy Exp $

include ../config/Makefile

include Makefile.$(OSTYPE)

=== tools/Makefile ===
#***********************************************************************
#*                                                                     *
#*                              CamlIDL                                *
#*                                                                     *
#*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *
#*                                                                     *
#*  Copyright 1999 Institut National de Recherche en Informatique et   *
#*  en Automatique.  All rights reserved.  This file is distributed    *
#*  under the terms of the GNU Library General Public License.         *
#*                                                                     *
#***********************************************************************

#* $Id: Makefile,v 1.2 2000/08/19 11:05:00 xleroy Exp $

include ../config/Makefile

include Makefile.$(OSTYPE)

=== debian/changelog ===
camlidl (1.05-16build1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 01 Nov 2019 11:47:08 -0700

camlidl (1.05-16build1) eoan; urgency=medium

  * Compatibility with dune/jbuilder.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Sun, 21 Jul 2019 14:25:21 +0200

camlidl (1.05-16) unstable; urgency=medium

  * Team upload
  * Switch to dh (and bump dh compat level to 12)
    - do no longer build and install manpage, which used CDBS
  * Bump Standards-Version to 4.4.0
  * Update Vcs-*
  * Switch debian/copyright to format 1.0
  * Remove Samuel and myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Thu, 18 Jul 2019 14:17:16 +0200

camlidl (1.05-15.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update home page and update outdated links from alioth to salsa.
  * Add Portuguese man page translation, thanks to Américo Monteiro.
    (closes: #759130)
  * Add German man page translation, thanks to Chris Leick (closes: #863533)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 20 Jan 2019 06:38:16 +0100

camlidl (1.05-15) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Dimitri John Ledkov ]
  * Import upstream patch to fix compatibility with ocaml 4.03+.

  [ Stéphane Glondu ]
  * Bump debhelper compat to 10
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2017 11:31:12 +0200

camlidl (1.05-14) unstable; urgency=low

  * debian/mk/docbook-manpage.mk: build-arch, not build, must depend on
    docbook-manpage (closes: #666381)

 -- Ralf Treinen <treinen@debian.org>  Fri, 06 Apr 2012 20:41:01 +0200

camlidl (1.05-13) unstable; urgency=low

  * debian/control:
    - adapt to new dh-ocaml
    - move to section ocaml
    - add myself to Uploaders; remove Remi, Stefano and Sven
    - remove Conflicts to camlidl-doc (older than oldstable)
    - add Homepage
    - update Standards-Version to 3.9.0
  * debian/rules: fix order of CDBS includes
  * Update debian/watch
  * Switch source package format to 3.0 (quilt)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Jul 2010 18:52:05 +0200

camlidl (1.05-12) unstable; urgency=low

  * Add missing build-dependency on dh-ocaml.

 -- Samuel Mimram <smimram@debian.org>  Wed, 25 Feb 2009 18:17:05 +0100

camlidl (1.05-11) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Stephane Glondu ]
  * Remove Julien from Uploaders

  [ Samuel Mimram ]
  * Rebuild with OCaml 3.11.
  * Switch packaging to git
  * Update standards version to 3.8.0.
  * Update compat to 7.

 -- Samuel Mimram <smimram@debian.org>  Tue, 24 Feb 2009 18:17:23 +0100

camlidl (1.05-10) unstable; urgency=low

  * Build for ocaml 3.10.0

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 04 Sep 2007 00:26:44 +0200

camlidl (1.05-9) experimental; urgency=low

  * Rebuild for ocaml 3.10.0

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 07 Jul 2007 23:26:24 +0200

camlidl (1.05-8) experimental; urgency=low

  * Upgrade debian/watch version to 3,
  * Correct the debian/rules license,
  * Change email address to gildor@debian.org everywhere
  * Use DTD from docbook-xml package and not from docbook package

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 23 Jun 2007 17:17:08 +0100

camlidl (1.05-7) unstable; urgency=low

  * Use CDBS for debian/rules,
  * De-hijack the package, use @OCAML_TEAM@ in control.in,
  * Upgrade debhelper debian/compat to 5.

 -- Sylvain Le Gall <gildor@debian.org>  Sat,  4 Nov 2006 00:11:11 +0100

camlidl (1.05-6) unstable; urgency=low

  * Hijack the package, with the permission of Debian OCaml Maintainer,
  * Change my email address to gildor@debian.org,
  * Set me as only uploaders,
  * Made debian/control a PHONY target,
  * Upgrade standards version to 3.7.2 (no change),

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 13 Jun 2006 19:05:15 +0200

camlidl (1.05-5) unstable; urgency=low

  * Rebuild for OCaml 3.09.1

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Tue, 10 Jan 2006 23:49:33 +0100

camlidl (1.05-4) unstable; urgency=low

  * Update for ocaml 3.09, and stop hardcoding the ocaml version number in the
    source package (Julien Cristau).
  * Remove direct reference to ocaml library dir
  * Transition to svn-buildpackage
  * Add debian/control target in debian/rules
  * Rewrite patch 37_make to patch config/Makefile.unix rather than
    config/Makefile and copy this file during the build process

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Fri,  2 Dec 2005 00:54:19 +0100

camlidl (1.05-3) unstable; urgency=low

  * Include printexc.h in comerror.c (Closes: #323221).
  * Upgrade policy to 3.6.2.0 (no change)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Mon, 15 Aug 2005 17:35:03 +0200

camlidl (1.05-2) unstable; urgency=medium

  * Transition to ocaml 3.08.3 : depends on ocaml-nox-3.08.3

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Wed, 23 Mar 2005 22:22:41 +0100

camlidl (1.05-1) unstable; urgency=low

  * New upstream version

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Tue,  3 Aug 2004 00:20:51 +0200

camlidl (1.04-8) unstable; urgency=low

  * Renew the watch file
  * Transition to -nox and ocaml 3.08 : depends on ocaml-nox-3.08

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Mon, 26 Jul 2004 23:28:53 +0200

camlidl (1.04-7) unstable; urgency=low

  * debian/patches/37_make.dpatch
    - install camlidlruntime.h in ocaml dir since /usr/include/caml is
      linked to it
  * debian/control
    - bumped standards version to 3.6.1.0

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 11 Nov 2003 18:31:47 +0100

camlidl (1.04-6) unstable; urgency=low

  * Rebuilt with ocaml 3.07

 -- Stefano Zacchiroli <zack@debian.org>  Wed,  1 Oct 2003 14:12:59 +0200

camlidl (1.04-5) unstable; urgency=low

  * Rebuilt with ocaml 3.07beta2

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 22 Sep 2003 17:34:40 +0200



=== debian/control ===
Source: camlidl
Section: ocaml
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>
Build-Depends:
 ocaml-nox (>= 3.11),
 debhelper (>= 12~),
 cpp,
 binutils,
 dh-ocaml (>= 0.9)
Standards-Version: 4.4.0
Homepage: https://github.com/xavierleroy/camlidl/
Vcs-Git: https://salsa.debian.org/ocaml-team/camlidl.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/camlidl

Package: camlidl
Architecture: any
Suggests: camlidl-doc
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Stub code generator for Objective Caml
 CamlIDL generates stub code for interfacing Caml with C from an IDL
 description of the C functions.  Thus, CamlIDL automates the most
 tedious task in interfacing C libraries with Caml programs.
 .
 It can also be used to interface Caml programs with other languages, as
 long as those languages have a well-defined C interface.
 .
 This package contains the CamlIDL executable.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/ocaml/ocamlvars.mk

PACKAGE := camlidl
DESTDIR := $(CURDIR)/debian/$(PACKAGE)

DEB_MAKE_BUILD_TARGET    := all
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
DEB_MAKE_BUILD_TARGET    += opt
endif

%:
	dh $@ --with ocaml

config/Makefile: config/Makefile.unix
	cp $< $@

override_dh_clean: config/Makefile
	dh_clean
	rm -f config/Makefile

override_dh_auto_clean: config/Makefile
	dh_auto_clean
	rm -f config/Makefile

override_dh_auto_configure: config/Makefile

override_dh_auto_build:
	$(MAKE) $(DEB_MAKE_BUILD_TARGET)

override_dh_auto_install:
	$(MAKE) install DESTDIR="$(DESTDIR)"
	sed -i "s/@VERSION@/$(DEB_VERSION_UPSTREAM)/g" debian/META.camlidl
	mv -v debian/META.camlidl debian/META
	mkdir $(DESTDIR)/usr/lib/ocaml/$(PACKAGE)
	mv -v $(DESTDIR)/usr/lib/ocaml/*.* $(DESTDIR)/usr/lib/ocaml/$(PACKAGE)
	mv -v $(DESTDIR)/usr/lib/ocaml/caml $(DESTDIR)/usr/lib/ocaml/$(PACKAGE)

override_dh_ocaml:
	dh_ocaml --runtime-map camlidl

## camlidl 1.09

=== compiler/Makefile ===
--- 
+++ 
@@ -10,13 +10,13 @@
 #*                                                                     *
 #***********************************************************************
 
-#* $Id: Makefile,v 1.5 2001/06/29 13:29:58 xleroy Exp $
+#* $Id: Makefile,v 1.6 2002-01-16 09:42:00 xleroy Exp $
 
 include ../config/Makefile
 
 OBJS=config.cmo utils.cmo clflags.cmo \
-  lexpr.cmo cvttyp.cmo variables.cmo \
-  array.cmo struct.cmo enum.cmo union.cmo cvtval.cmo \
+  prefix.cmo lexpr.cmo cvttyp.cmo variables.cmo \
+  idlarray.cmo struct.cmo enum.cmo union.cmo cvtval.cmo \
   structdecl.cmo enumdecl.cmo uniondecl.cmo \
   typedef.cmo funct.cmo constdecl.cmo intf.cmo \
   file.cmo predef.cmo \

=== doc/Makefile ===
CAMLDOC=$${HOME}/csldoc
TEXINPUTS=.:$(CAMLDOC)/styles:$(CAMLDOC)/manual:/usr/local/lib/hevea:
HEVEAINPUTS=-I $(CAMLDOC)/manual -I ..
TRANSF=$(CAMLDOC)/tools/transf
TEXQUOTE=texquote3
HTMLGEN=$(CAMLDOC)/tools/htmlgen
HTMLCUT=$(CAMLDOC)/tools/htmlcut
HTMLTHREAD=$(CAMLDOC)/tools/htmlthread
TEXEXPAND=$(CAMLDOC)/tools/texexpand
FORMATINTF=$(CAMLDOC)/tools/format-intf

all: main.dvi main.pdf htmlman/index.html

main.dvi: main.tex manual.tex com.tex
	TEXINPUTS=$(TEXINPUTS) latex main.tex

main.pdf: main.tex manual.tex com.tex
	TEXINPUTS=$(TEXINPUTS) pdflatex main.tex

htmlman/index.html: main.tex manual.tex com.tex
	cd htmlman; \
        hevea $(HEVEAINPUTS) -fix ../main.tex && \
	hacha main.html

manual.tex: manual.etex
	$(TRANSF) < manual.etex | $(TEXQUOTE) > manual.tex

com.tex: ../lib/com.mli
	$(FORMATINTF) ../lib/com.mli > com.tex

=== tests/Makefile ===
include ../config/Makefile

CAMLIDL=../compiler/camlidl
CAMLC=ocamlc -I ../lib
INCLUDES=-DCAML_NAME_SPACE -I.. -I$(OCAMLLIB)
CCPP?=$(CC)
CPPFLAGS=$(CFLAGS)

TESTS=basics.idl arrays.idl structs.idl unions.idl typedefs.idl $(TESTS_$(OSTYPE)) multi_import.idl stdint.idl
TESTS_unix=unix.idl
COMLIBS=$(COMLIBS_$(OSTYPE))
COMLIBS_win32=advapi32.lib ole32.lib oleaut32.lib

all: ../caml/camlidlruntime.h $(TESTS:.idl=.$(OBJEXT)) testcomp

$(TESTS:.idl=.$(OBJEXT)) component.$(OBJEXT): $(CAMLIDL) ../runtime/camlidlruntime.h

unix.$(OBJEXT): unix.idl
	$(CAMLIDL) -no-include unix.idl
	$(CAMLC) -c unix.mli
	$(CAMLC) -c unix.ml
	$(CC) $(CFLAGS) $(INCLUDES) -c unix_stubs.c
	mv unix_stubs.$(OBJEXT) unix.$(OBJEXT)

testcomp: comcomp.$(OBJEXT) component.$(OBJEXT) component.cmo testcomponent.cmo \
          ../runtime/libcamlidl.$(LIBEXT)
	$(CAMLC) -cc $(CCPP) -custom -o testcomp \
                com.cmo comcomp.$(OBJEXT) component.$(OBJEXT) \
		component.cmo testcomponent.cmo \
                ../runtime/libcamlidl.$(LIBEXT) $(COMLIBS)

clean::
	rm -f testcomp

component.cmo testcomponent.cmo: component.cmi
component.cmo component.cmi: component.$(OBJEXT)

../caml/camlidlruntime.h:
	mkdir ../caml
	ln -s ../runtime/camlidlruntime.h ../caml

.SUFFIXES:
.SUFFIXES: .idl .$(OBJEXT) .cpp .ml .mli .cmo .cmi

.idl.$(OBJEXT):
	$(CAMLIDL) -header $*.idl
	$(CAMLC) -c $*.mli
	$(CAMLC) -c $*.ml
	$(CC) $(CFLAGS) $(INCLUDES) -c $*_stubs.c
	mv $*_stubs.$(OBJEXT) $*.$(OBJEXT)

.cpp.$(OBJEXT):
	$(CCPP) $(CPPFLAGS) $(INCLUDES) -c $*.cpp

.ml.cmo:
	$(CAMLC) -c $*.ml

.mli.cmi:
	$(CAMLC) -c $*.mli

clean::
	rm -f $(TESTS:.idl=.mli) $(TESTS:.idl=.ml) $(TESTS:.idl=.h) $(TESTS:.idl=_stubs.c)

clean::
	rm -f *.cm[io] *.$(OBJEXT)

=== debian/changelog ===
camlidl (1.09-1build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jan 2022 17:19:38 +0100

camlidl (1.09-1build1) hirsute; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Nov 2020 13:56:32 +0100

camlidl (1.09-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 23 Aug 2020 11:56:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: camlidl
 Section: ocaml
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Ralf Treinen <treinen@debian.org>
 Build-Depends:
- ocaml-nox (>= 3.11),
- debhelper (>= 12~),
+ ocaml-nox,
+ debhelper-compat (= 13),
  cpp,
  binutils,
- dh-ocaml (>= 0.9)
-Standards-Version: 4.4.0
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/xavierleroy/camlidl/
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlidl.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/camlidl

## camlidl 1.11

=== lib/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #*                                                                     *
 #***********************************************************************
 
-#* $Id: Makefile,v 1.4 2002/04/22 11:50:47 xleroy Exp $
+#* $Id: Makefile,v 1.4 2002-04-22 11:50:47 xleroy Exp $
 
 include ../config/Makefile
 
@@ -23,10 +23,10 @@
 all: $(BYTELIB) $(NATIVELIB)
 
 $(BYTELIB): $(BYTEOBJS)
-	$(OCAMLC) -a -o $(BYTELIB) $(BYTEOBJS)
+	$(OCAMLC) -a -o $(BYTELIB) -dllib -lcamlidl -cclib -lcamlidl $(BYTEOBJS)
 
 $(NATIVELIB): $(NATIVEOBJS)
-	$(OCAMLOPT) -a -o $(NATIVELIB) $(NATIVEOBJS)
+	$(OCAMLOPT) -a -o $(NATIVELIB) -cclib -lcamlidl $(NATIVEOBJS)
 
 install:
 	cp $(INTERFACES) $(BYTELIB) $(NATIVELIB) $(NATIVELIB:.cmxa=.$(LIBEXT)) $(OCAMLLIB)
@@ -43,7 +43,7 @@
 
 # Clean up
 clean::
-	rm -f *.cm[ioax] $.cmxa *~
+	rm -f *.cm[ioax] *.cmxa *.[ao] *.lib *~
 
 # Dependencies
 depend:

=== debian/changelog ===
camlidl (1.11-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 12 Apr 2023 12:23:40 -0700

camlidl (1.11-2) lunar; urgency=low

  * Compatibility with dune/jbuilder.

 -- Alessandro Strada <alessandro.strada@gmail.com>  Fri, 10 Feb 2023 22:44:16 +0100

camlidl (1.11-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Stéphane Glondu <glondu@debian.org>  Fri, 20 Jan 2023 12:35:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,11 @@
 Source: camlidl
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders:
- Ralf Treinen <treinen@debian.org>
-Build-Depends:
- ocaml-nox,
- debhelper-compat (= 13),
- cpp,
- binutils,
- dh-ocaml
-Standards-Version: 4.5.0
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Uploaders: Ralf Treinen <treinen@debian.org>
+Build-Depends: binutils, cpp, debhelper-compat (= 13), dh-ocaml, ocaml-nox
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/xavierleroy/camlidl/
 Vcs-Git: https://salsa.debian.org/ocaml-team/camlidl.git
@@ -19,10 +14,7 @@
 Package: camlidl
 Architecture: any
 Suggests: camlidl-doc
-Depends:
- ${ocaml:Depends},
- ${shlibs:Depends},
- ${misc:Depends}
+Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Description: Stub code generator for Objective Caml
  CamlIDL generates stub code for interfacing Caml with C from an IDL

=== debian/rules ===
--- 
+++ 
@@ -40,3 +40,7 @@
 
 override_dh_ocaml:
 	dh_ocaml --runtime-map camlidl
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## camlidl 1.12

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #*                                                                     *
 #***********************************************************************
 
-#* $Id: Makefile,v 1.18 2000/08/19 11:04:55 xleroy Exp $
+#* $Id: Makefile,v 1.18 2000-08-19 11:04:55 xleroy Exp $
 
 include config/Makefile

=== lib/Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 #* $Id: Makefile,v 1.4 2002-04-22 11:50:47 xleroy Exp $
 
 include ../config/Makefile
+include $(OCAMLLIB)/Makefile.config
 
 BYTEOBJS=com.cmo
 BYTELIB=com.cma
@@ -20,7 +21,17 @@
 NATIVELIB=$(BYTELIB:.cma=.cmxa)
 INTERFACES=$(BYTEOBJS:.cmo=.cmi)
 
-all: $(BYTELIB) $(NATIVELIB)
+all:: allbyt
+install:: installbyt
+ifneq "${ARCH}" "none"
+ifneq "${NATIVE_COMPILER}" "false"
+all:: allopt
+install:: installopt
+endif
+endif
+
+allbyt: $(BYTELIB)
+allopt: $(NATIVELIB)
 
 $(BYTELIB): $(BYTEOBJS)
 	$(OCAMLC) -a -o $(BYTELIB) -dllib -lcamlidl -cclib -lcamlidl $(BYTEOBJS)
@@ -28,9 +39,11 @@
 $(NATIVELIB): $(NATIVEOBJS)
 	$(OCAMLOPT) -a -o $(NATIVELIB) -cclib -lcamlidl $(NATIVEOBJS)
 
-install:
-	cp $(INTERFACES) $(BYTELIB) $(NATIVELIB) $(NATIVELIB:.cmxa=.$(LIBEXT)) $(OCAMLLIB)
-	cd $(OCAMLLIB); $(RANLIB) $(NATIVELIB:.cmxa=.$(LIBEXT))
+installbyt:
+	cp -p $(INTERFACES) $(BYTELIB) $(OCAMLLIB)
+
+installopt:
+	cp -p $(NATIVELIB) $(NATIVELIB:.cmxa=.$(LIBEXT)) $(OCAMLLIB)
 
 .SUFFIXES: .mli .ml .cmi .cmo .cmx

=== debian/changelog ===
camlidl (1.12-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.2
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Jan 2024 15:25:08 +0100

camlidl (1.11-2) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:50:59 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/ocaml/ocamlvars.mk

PACKAGE := camlidl
DESTDIR := $(CURDIR)/debian/$(PACKAGE)

DEB_MAKE_BUILD_TARGET    := all

%:
	dh $@ --with ocaml

config/Makefile: config/Makefile.unix
	cp $< $@

override_dh_clean: config/Makefile
	dh_clean
	rm -f config/Makefile

override_dh_auto_clean: config/Makefile
	dh_auto_clean
	rm -f config/Makefile

override_dh_auto_configure: config/Makefile

override_dh_auto_build:
	$(MAKE) $(DEB_MAKE_BUILD_TARGET)

override_dh_auto_install:
	$(MAKE) install DESTDIR="$(DESTDIR)"
	sed -i "s/@VERSION@/$(DEB_VERSION_UPSTREAM)/g" debian/META.camlidl

override_dh_ocaml:
	dh_ocaml --runtime-map camlidl

## camlidl 1.13

=== doc/Makefile ===
TEXINPUTS=./styles:
TRANSF=tools/transf
TEXQUOTE=tools/texquote2

all: $(TRANSF) $(TEXQUOTE) main.pdf ../docs/index.html

main.pdf: main.tex manual.tex
	TEXINPUTS=$(TEXINPUTS) latexmk -pdf main.tex

../docs/index.html: main.tex manual.tex
	cd ../docs && \
        hevea -I ../doc/styles -I ../doc -fix ../doc/main.tex && \
	hacha main.html

manual.tex: manual.etex
	$(TRANSF) < manual.etex | $(TEXQUOTE) > manual.tex

$(TRANSF) $(TEXQUOTE):
	make -C tools

=== lib/Makefile ===
--- 
+++ 
@@ -40,10 +40,10 @@
 	$(OCAMLOPT) -a -o $(NATIVELIB) -cclib -lcamlidl $(NATIVEOBJS)
 
 installbyt:
-	cp -p $(INTERFACES) $(BYTELIB) $(OCAMLLIB)
+	cp -p $(INTERFACES) $(BYTELIB) $(DESTDIR)$(OCAMLLIB)
 
 installopt:
-	cp -p $(NATIVELIB) $(NATIVELIB:.cmxa=.$(LIBEXT)) $(OCAMLLIB)
+	cp -p $(NATIVELIB) $(NATIVELIB:.cmxa=.$(LIBEXT)) $(DESTDIR)$(OCAMLLIB)
 
 .SUFFIXES: .mli .ml .cmi .cmo .cmx

=== runtime/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #*                                                                     *
 #***********************************************************************
 
-#* $Id: Makefile,v 1.2 2000/08/19 11:04:59 xleroy Exp $
+#* $Id: Makefile,v 1.2 2000-08-19 11:04:59 xleroy Exp $
 
 include ../config/Makefile

=== tests/Makefile ===
--- 
+++ 
@@ -11,7 +11,11 @@
 COMLIBS=$(COMLIBS_$(OSTYPE))
 COMLIBS_win32=advapi32.lib ole32.lib oleaut32.lib
 
-all: ../caml/camlidlruntime.h $(TESTS:.idl=.$(OBJEXT)) testcomp
+all:: ../caml/camlidlruntime.h
+all:: $(TESTS:.idl=.$(OBJEXT))
+ifeq ($(OSTYPE),win32)
+all:: testcomp
+endif
 
 $(TESTS:.idl=.$(OBJEXT)) component.$(OBJEXT): $(CAMLIDL) ../runtime/camlidlruntime.h

=== tools/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #*                                                                     *
 #***********************************************************************
 
-#* $Id: Makefile,v 1.2 2000/08/19 11:05:00 xleroy Exp $
+#* $Id: Makefile,v 1.2 2000-08-19 11:05:00 xleroy Exp $
 
 include ../config/Makefile

=== doc/tools/Makefile ===
all: transf texquote2

%: %.ml
	ocamlopt -o $* $*.ml

transf.ml: transf.mll
	ocamllex transf.mll

clean:
	rm -f transf texquote2 *.cm? *.o transf.ml

=== tests/hdirect/Makefile ===
ALLTESTS=\
  test001.idl test002.idl test003.idl test004.idl \
  test007.idl test008.idl test009.idl test010.idl \
  test011.idl test013.idl test014.idl test015.idl \
  test016.idl test017.idl test018.idl test019.idl test020.idl \
  test021.idl test022.idl test023.idl test024.idl test025.idl \
  test026.idl test027.idl test028.idl test029.idl test030.idl \
  test031.idl test032.idl test033.idl test034.idl test035.idl

CAMLIDL=../../compiler/camlidl
CAMLC=ocamlc -I ../../lib
CC=gcc
CFLAGS=-I../.. -I/usr/local/lib/ocaml -Wall

all: $(ALLTESTS:.idl=.o)

$(ALLTESTS:.idl=.o): $(CAMLIDL)

.SUFFIXES:
.SUFFIXES: .idl .o

.idl.o:
	$(CAMLIDL) -header $*.idl
	$(CAMLC) -c $*.mli
	$(CAMLC) -c $*.ml
	$(CC) $(CFLAGS) -c $*.c

clean:
	rm -f *.ml *.mli *.cm[io] *.[cho] *~

=== debian/changelog ===
camlidl (1.13-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 13 Aug 2025 14:53:32 +0200

=== debian/control ===
Source: camlidl
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>
Build-Depends:
 ocaml,
 debhelper-compat (= 13),
 cpp,
 binutils,
 dh-ocaml
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/xavierleroy/camlidl/
Vcs-Git: https://salsa.debian.org/ocaml-team/camlidl.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/camlidl

Package: camlidl
Architecture: any
Suggests: camlidl-doc
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Stub code generator for Objective Caml
 CamlIDL generates stub code for interfacing Caml with C from an IDL
 description of the C functions.  Thus, CamlIDL automates the most
 tedious task in interfacing C libraries with Caml programs.
 .
 It can also be used to interface Caml programs with other languages, as
 long as those languages have a well-defined C interface.
 .
 This package contains the CamlIDL executable.

=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,8 @@
 	$(MAKE) $(DEB_MAKE_BUILD_TARGET)
 
 override_dh_auto_install:
-	$(MAKE) install DESTDIR="$(DESTDIR)"
-	sed -i "s/@VERSION@/$(DEB_VERSION_UPSTREAM)/g" debian/META.camlidl
+	$(MAKE) install DESTDIR="$(DESTDIR)" BINDIR="$(DESTDIR)/usr/bin"
+	cp META "$(DESTDIR)$(OCAML_STDLIB_DIR)/METAS/META.camlidl"
 
 override_dh_ocaml:
 	dh_ocaml --runtime-map camlidl

=== debian/watch ===
version=4
opts="uversionmangle=s/(..)$/.$1/" \
https://github.com/xavierleroy/camlidl/tags .*/camlidl([0-9]+)\.tar\.gz
